Changeset 50573


Ignore:
Timestamp:
May 4, 2009, 7:31:06 PM (11 years ago)
Author:
jeremyhu@…
Message:

base: No longer search for X11 SDK and remove reference to x11prefix

Location:
trunk/base
Files:
10 edited

Legend:

Unmodified
Added
Removed
  • trunk/base/aclocal.m4

    r48083 r50573  
    571571        fi
    572572        AC_SUBST([MD5_LIBS])
    573 ])
    574 
    575 dnl This macro checks for X11 presence. If the libraries are
    576 dnl present, so must the headers be. If nothing is present,
    577 dnl print a warning
    578 
    579 # MP_CHECK_X11
    580 # ---------------------
    581 AC_DEFUN([MP_CHECK_X11], [
    582 
    583         # work around symbolic X11 link in /usr/include by providing explicit defaults
    584         case "$host" in
    585             *-*-darwin9*)
    586                 if test "x$x_includes" = xNONE && test "x$x_libraries" = xNONE; then
    587                     x_includes="/usr/X11/include"
    588                     x_libraries="/usr/X11/lib"
    589                 fi
    590                 ;;
    591             *-*-darwin*)
    592                 if test "x$x_includes" = xNONE && test "x$x_libraries" = xNONE; then
    593                     x_includes="/usr/X11R6/include"
    594                     x_libraries="/usr/X11R6/lib"
    595                 fi
    596                 ;;
    597         esac
    598 
    599         AC_PATH_X
    600         AC_PATH_XTRA
    601 
    602         # Check for libX11
    603         AC_CHECK_LIB([X11], [XOpenDisplay],[
    604                 has_x_runtime=yes
    605                 ], [ has_x_runtime=no ], [$X_LIBS])
    606 
    607 #       echo "------done---------"
    608 #       echo "x_includes=${x_includes}"
    609 #       echo "x_libraries=${x_libraries}"
    610 #       echo "no_x=${no_x}"
    611 #       echo "X_CFLAGS=${X_CFLAGS}"
    612 #       echo "X_LIBS=${X_LIBS}"
    613 #       echo "X_DISPLAY_MISSING=${X_DISPLAY_MISSING}"
    614 #       echo "has_x_runtime=${has_x_runtime}"
    615 #       echo "host_os=${host_os}"
    616 #       echo "------done---------"
    617 
    618         state=
    619 
    620         case "__${has_x_runtime}__${no_x}__" in
    621                 "__no__yes__")
    622                 # either the user said --without-x, or it was not found
    623                 # at all (runtime or headers)
    624                         AC_MSG_WARN([X11 not available. You will not be able to use ports that use X11])
    625                         state=0
    626                         ;;
    627                 "__yes__yes__")
    628                         state=1
    629                         ;;
    630                 "__yes____")
    631                         state=2
    632                         ;;
    633                 *)
    634                         state=3
    635                         ;;
    636         esac
    637 
    638         case $host_os in
    639                 darwin*)       
    640                         case $state in
    641                                 1)
    642                                         cat <<EOF;
    643 Please install the X11 SDK packages from the
    644 Xcode Developer Tools CD
    645 EOF
    646                                         AC_MSG_ERROR([Broken X11 install. No X11 headers])
    647 
    648                                         ;;
    649                                 3)
    650                                         cat <<EOF;
    651 Unknown configuration problem. Please install the X11 runtime
    652 and/or X11 SDK  packages from the Xcode Developer Tools CD
    653 EOF
    654                                         AC_MSG_ERROR([Broken X11 install])
    655                                         ;;
    656                         esac
    657                         ;;
    658                 *)     
    659                         case $state in
    660                                 1)
    661                                         cat <<EOF;
    662 Please install the X11 developer headers for your platform
    663 EOF
    664                                         AC_MSG_ERROR([Broken X11 install. No X11 headers])
    665 
    666                                         ;;
    667                                 3)
    668                                         cat <<EOF;
    669 Unknown configuration problem. Please install the X11
    670 implementation for your platform
    671 EOF
    672                                         AC_MSG_ERROR([Broken X11 install])
    673                                         ;;
    674                         esac
    675                         ;;
    676         esac
    677 
    678573])
    679574
  • trunk/base/configure

    r49072 r50573  
    674674TCL_VERSION
    675675READLINE_LIBS
    676 x11prefix
    677 X_EXTRA_LIBS
    678 X_LIBS
    679 X_PRE_LIBS
    680 X_CFLAGS
    681 XMKMF
    682676MD5_LIBS
    683677READLINK_IS_NOT_P1003_1A
     
    820814with_universal_sysroot
    821815with_universal_archs
    822 with_x11_prefix
    823 with_x
    824816enable_readline
    825817with_tcl
     
    856848OPEN
    857849OBJCPP
    858 CPP
    859 XMKMF'
     850CPP'
    860851ac_subdirs_all='src/thread2.6
    861852src/sqlite-3.1.3'
     
    14681459  cat <<\_ACEOF
    14691460
    1470 X features:
    1471   --x-includes=DIR    X include files are in DIR
    1472   --x-libraries=DIR   X library files are in DIR
    1473 
    14741461System types:
    14751462  --build=BUILD     configure for building on BUILD [guessed]
     
    15211508  --with-universal-archs="CPU"
    15221509                          Universal CPU architectures (space separated)
    1523   --with-x11-prefix=PREFIX
    1524                           use PREFIX as the X11 base dir (default autodetect)
    1525   --with-x                use the X Window System
    15261510  --with-tcl              directory containing tcl configuration (tclConfig.sh)
    15271511  --with-tclinclude       directory containing the public Tcl header files.
     
    15591543  OBJCPP      Objective C preprocessor
    15601544  CPP         C preprocessor
    1561   XMKMF       Path to xmkmf, Makefile generator for X Window System
    15621545
    15631546Use these variables to override the choices made by `configure' or to help
     
    94039386
    94049387
    9405 
    9406 # Check whether --with-x11-prefix was given.
    9407 if test "${with_x11_prefix+set}" = set; then
    9408   withval=$with_x11_prefix;  x11prefix="$withval"
    9409 fi
    9410 
    9411 case "$x11prefix" in
    9412   "")
    9413     # default to traditional value
    9414     x11prefix=/usr/X11R6
    9415     ;;
    9416   *)
    9417     x_includes=$x11prefix/include
    9418     x_libraries=$x11prefix/lib
    9419     ;;
    9420 esac
    9421 
    94229388# Check for md5 implementation
    94239389
     
    99259891        fi
    99269892
    9927 
    9928 # Check for X11 and paraphernalia
    9929 
    9930 
    9931         # work around symbolic X11 link in /usr/include by providing explicit defaults
    9932         case "$host" in
    9933             *-*-darwin9*)
    9934                 if test "x$x_includes" = xNONE && test "x$x_libraries" = xNONE; then
    9935                     x_includes="/usr/X11/include"
    9936                     x_libraries="/usr/X11/lib"
    9937                 fi
    9938                 ;;
    9939             *-*-darwin*)
    9940                 if test "x$x_includes" = xNONE && test "x$x_libraries" = xNONE; then
    9941                     x_includes="/usr/X11R6/include"
    9942                     x_libraries="/usr/X11R6/lib"
    9943                 fi
    9944                 ;;
    9945         esac
    9946 
    9947         { $as_echo "$as_me:$LINENO: checking for X" >&5
    9948 $as_echo_n "checking for X... " >&6; }
    9949 
    9950 
    9951 # Check whether --with-x was given.
    9952 if test "${with_x+set}" = set; then
    9953   withval=$with_x;
    9954 fi
    9955 
    9956 # $have_x is `yes', `no', `disabled', or empty when we do not yet know.
    9957 if test "x$with_x" = xno; then
    9958   # The user explicitly disabled X.
    9959   have_x=disabled
    9960 else
    9961   case $x_includes,$x_libraries in #(
    9962     *\'*) { { $as_echo "$as_me:$LINENO: error: cannot use X directory names containing '" >&5
    9963 $as_echo "$as_me: error: cannot use X directory names containing '" >&2;}
    9964    { (exit 1); exit 1; }; };; #(
    9965     *,NONE | NONE,*) if test "${ac_cv_have_x+set}" = set; then
    9966   $as_echo_n "(cached) " >&6
    9967 else
    9968   # One or both of the vars are not set, and there is no cached value.
    9969 ac_x_includes=no ac_x_libraries=no
    9970 rm -f -r conftest.dir
    9971 if mkdir conftest.dir; then
    9972   cd conftest.dir
    9973   cat >Imakefile <<'_ACEOF'
    9974 incroot:
    9975         @echo incroot='${INCROOT}'
    9976 usrlibdir:
    9977         @echo usrlibdir='${USRLIBDIR}'
    9978 libdir:
    9979         @echo libdir='${LIBDIR}'
    9980 _ACEOF
    9981   if (export CC; ${XMKMF-xmkmf}) >/dev/null 2>/dev/null && test -f Makefile; then
    9982     # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
    9983     for ac_var in incroot usrlibdir libdir; do
    9984       eval "ac_im_$ac_var=\`\${MAKE-make} $ac_var 2>/dev/null | sed -n 's/^$ac_var=//p'\`"
    9985     done
    9986     # Open Windows xmkmf reportedly sets LIBDIR instead of USRLIBDIR.
    9987     for ac_extension in a so sl dylib la dll; do
    9988       if test ! -f "$ac_im_usrlibdir/libX11.$ac_extension" &&
    9989          test -f "$ac_im_libdir/libX11.$ac_extension"; then
    9990         ac_im_usrlibdir=$ac_im_libdir; break
    9991       fi
    9992     done
    9993     # Screen out bogus values from the imake configuration.  They are
    9994     # bogus both because they are the default anyway, and because
    9995     # using them would break gcc on systems where it needs fixed includes.
    9996     case $ac_im_incroot in
    9997         /usr/include) ac_x_includes= ;;
    9998         *) test -f "$ac_im_incroot/X11/Xos.h" && ac_x_includes=$ac_im_incroot;;
    9999     esac
    10000     case $ac_im_usrlibdir in
    10001         /usr/lib | /usr/lib64 | /lib | /lib64) ;;
    10002         *) test -d "$ac_im_usrlibdir" && ac_x_libraries=$ac_im_usrlibdir ;;
    10003     esac
    10004   fi
    10005   cd ..
    10006   rm -f -r conftest.dir
    10007 fi
    10008 
    10009 # Standard set of common directories for X headers.
    10010 # Check X11 before X11Rn because it is often a symlink to the current release.
    10011 ac_x_header_dirs='
    10012 /usr/X11/include
    10013 /usr/X11R6/include
    10014 /usr/X11R5/include
    10015 /usr/X11R4/include
    10016 
    10017 /usr/include/X11
    10018 /usr/include/X11R6
    10019 /usr/include/X11R5
    10020 /usr/include/X11R4
    10021 
    10022 /usr/local/X11/include
    10023 /usr/local/X11R6/include
    10024 /usr/local/X11R5/include
    10025 /usr/local/X11R4/include
    10026 
    10027 /usr/local/include/X11
    10028 /usr/local/include/X11R6
    10029 /usr/local/include/X11R5
    10030 /usr/local/include/X11R4
    10031 
    10032 /usr/X386/include
    10033 /usr/x386/include
    10034 /usr/XFree86/include/X11
    10035 
    10036 /usr/include
    10037 /usr/local/include
    10038 /usr/unsupported/include
    10039 /usr/athena/include
    10040 /usr/local/x11r5/include
    10041 /usr/lpp/Xamples/include
    10042 
    10043 /usr/openwin/include
    10044 /usr/openwin/share/include'
    10045 
    10046 if test "$ac_x_includes" = no; then
    10047   # Guess where to find include files, by looking for Xlib.h.
    10048   # First, try using that file with no special directory specified.
    10049   cat >conftest.$ac_ext <<_ACEOF
    10050 /* confdefs.h.  */
    10051 _ACEOF
    10052 cat confdefs.h >>conftest.$ac_ext
    10053 cat >>conftest.$ac_ext <<_ACEOF
    10054 /* end confdefs.h.  */
    10055 #include <X11/Xlib.h>
    10056 _ACEOF
    10057 if { (ac_try="$ac_cpp conftest.$ac_ext"
    10058 case "(($ac_try" in
    10059   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10060   *) ac_try_echo=$ac_try;;
    10061 esac
    10062 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10063 $as_echo "$ac_try_echo") >&5
    10064   (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
    10065   ac_status=$?
    10066   grep -v '^ *+' conftest.er1 >conftest.err
    10067   rm -f conftest.er1
    10068   cat conftest.err >&5
    10069   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10070   (exit $ac_status); } >/dev/null && {
    10071          test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
    10072          test ! -s conftest.err
    10073        }; then
    10074   # We can compile using X headers with no special include directory.
    10075 ac_x_includes=
    10076 else
    10077   $as_echo "$as_me: failed program was:" >&5
    10078 sed 's/^/| /' conftest.$ac_ext >&5
    10079 
    10080   for ac_dir in $ac_x_header_dirs; do
    10081   if test -r "$ac_dir/X11/Xlib.h"; then
    10082     ac_x_includes=$ac_dir
    10083     break
    10084   fi
    10085 done
    10086 fi
    10087 
    10088 rm -f conftest.err conftest.$ac_ext
    10089 fi # $ac_x_includes = no
    10090 
    10091 if test "$ac_x_libraries" = no; then
    10092   # Check for the libraries.
    10093   # See if we find them without any special options.
    10094   # Don't add to $LIBS permanently.
    10095   ac_save_LIBS=$LIBS
    10096   LIBS="-lX11 $LIBS"
    10097   cat >conftest.$ac_ext <<_ACEOF
    10098 /* confdefs.h.  */
    10099 _ACEOF
    10100 cat confdefs.h >>conftest.$ac_ext
    10101 cat >>conftest.$ac_ext <<_ACEOF
    10102 /* end confdefs.h.  */
    10103 #include <X11/Xlib.h>
    10104 int
    10105 main ()
    10106 {
    10107 XrmInitialize ()
    10108   ;
    10109   return 0;
    10110 }
    10111 _ACEOF
    10112 rm -f conftest.$ac_objext conftest$ac_exeext
    10113 if { (ac_try="$ac_link"
    10114 case "(($ac_try" in
    10115   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10116   *) ac_try_echo=$ac_try;;
    10117 esac
    10118 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10119 $as_echo "$ac_try_echo") >&5
    10120   (eval "$ac_link") 2>conftest.er1
    10121   ac_status=$?
    10122   grep -v '^ *+' conftest.er1 >conftest.err
    10123   rm -f conftest.er1
    10124   cat conftest.err >&5
    10125   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10126   (exit $ac_status); } && {
    10127          test -z "$ac_c_werror_flag" ||
    10128          test ! -s conftest.err
    10129        } && test -s conftest$ac_exeext && {
    10130          test "$cross_compiling" = yes ||
    10131          $as_test_x conftest$ac_exeext
    10132        }; then
    10133   LIBS=$ac_save_LIBS
    10134 # We can link X programs with no special library path.
    10135 ac_x_libraries=
    10136 else
    10137   $as_echo "$as_me: failed program was:" >&5
    10138 sed 's/^/| /' conftest.$ac_ext >&5
    10139 
    10140         LIBS=$ac_save_LIBS
    10141 for ac_dir in `$as_echo "$ac_x_includes $ac_x_header_dirs" | sed s/include/lib/g`
    10142 do
    10143   # Don't even attempt the hair of trying to link an X program!
    10144   for ac_extension in a so sl dylib la dll; do
    10145     if test -r "$ac_dir/libX11.$ac_extension"; then
    10146       ac_x_libraries=$ac_dir
    10147       break 2
    10148     fi
    10149   done
    10150 done
    10151 fi
    10152 
    10153 rm -rf conftest.dSYM
    10154 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10155       conftest$ac_exeext conftest.$ac_ext
    10156 fi # $ac_x_libraries = no
    10157 
    10158 case $ac_x_includes,$ac_x_libraries in #(
    10159   no,* | *,no | *\'*)
    10160     # Didn't find X, or a directory has "'" in its name.
    10161     ac_cv_have_x="have_x=no";; #(
    10162   *)
    10163     # Record where we found X for the cache.
    10164     ac_cv_have_x="have_x=yes\
    10165         ac_x_includes='$ac_x_includes'\
    10166         ac_x_libraries='$ac_x_libraries'"
    10167 esac
    10168 fi
    10169 ;; #(
    10170     *) have_x=yes;;
    10171   esac
    10172   eval "$ac_cv_have_x"
    10173 fi # $with_x != no
    10174 
    10175 if test "$have_x" != yes; then
    10176   { $as_echo "$as_me:$LINENO: result: $have_x" >&5
    10177 $as_echo "$have_x" >&6; }
    10178   no_x=yes
    10179 else
    10180   # If each of the values was on the command line, it overrides each guess.
    10181   test "x$x_includes" = xNONE && x_includes=$ac_x_includes
    10182   test "x$x_libraries" = xNONE && x_libraries=$ac_x_libraries
    10183   # Update the cache value to reflect the command line values.
    10184   ac_cv_have_x="have_x=yes\
    10185         ac_x_includes='$x_includes'\
    10186         ac_x_libraries='$x_libraries'"
    10187   { $as_echo "$as_me:$LINENO: result: libraries $x_libraries, headers $x_includes" >&5
    10188 $as_echo "libraries $x_libraries, headers $x_includes" >&6; }
    10189 fi
    10190 
    10191         if test "$no_x" = yes; then
    10192   # Not all programs may use this symbol, but it does not hurt to define it.
    10193 
    10194 cat >>confdefs.h <<\_ACEOF
    10195 #define X_DISPLAY_MISSING 1
    10196 _ACEOF
    10197 
    10198   X_CFLAGS= X_PRE_LIBS= X_LIBS= X_EXTRA_LIBS=
    10199 else
    10200   if test -n "$x_includes"; then
    10201     X_CFLAGS="$X_CFLAGS -I$x_includes"
    10202   fi
    10203 
    10204   # It would also be nice to do this for all -L options, not just this one.
    10205   if test -n "$x_libraries"; then
    10206     X_LIBS="$X_LIBS -L$x_libraries"
    10207     # For Solaris; some versions of Sun CC require a space after -R and
    10208     # others require no space.  Words are not sufficient . . . .
    10209     { $as_echo "$as_me:$LINENO: checking whether -R must be followed by a space" >&5
    10210 $as_echo_n "checking whether -R must be followed by a space... " >&6; }
    10211     ac_xsave_LIBS=$LIBS; LIBS="$LIBS -R$x_libraries"
    10212     ac_xsave_c_werror_flag=$ac_c_werror_flag
    10213     ac_c_werror_flag=yes
    10214     cat >conftest.$ac_ext <<_ACEOF
    10215 /* confdefs.h.  */
    10216 _ACEOF
    10217 cat confdefs.h >>conftest.$ac_ext
    10218 cat >>conftest.$ac_ext <<_ACEOF
    10219 /* end confdefs.h.  */
    10220 
    10221 int
    10222 main ()
    10223 {
    10224 
    10225   ;
    10226   return 0;
    10227 }
    10228 _ACEOF
    10229 rm -f conftest.$ac_objext conftest$ac_exeext
    10230 if { (ac_try="$ac_link"
    10231 case "(($ac_try" in
    10232   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10233   *) ac_try_echo=$ac_try;;
    10234 esac
    10235 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10236 $as_echo "$ac_try_echo") >&5
    10237   (eval "$ac_link") 2>conftest.er1
    10238   ac_status=$?
    10239   grep -v '^ *+' conftest.er1 >conftest.err
    10240   rm -f conftest.er1
    10241   cat conftest.err >&5
    10242   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10243   (exit $ac_status); } && {
    10244          test -z "$ac_c_werror_flag" ||
    10245          test ! -s conftest.err
    10246        } && test -s conftest$ac_exeext && {
    10247          test "$cross_compiling" = yes ||
    10248          $as_test_x conftest$ac_exeext
    10249        }; then
    10250   { $as_echo "$as_me:$LINENO: result: no" >&5
    10251 $as_echo "no" >&6; }
    10252        X_LIBS="$X_LIBS -R$x_libraries"
    10253 else
    10254   $as_echo "$as_me: failed program was:" >&5
    10255 sed 's/^/| /' conftest.$ac_ext >&5
    10256 
    10257         LIBS="$ac_xsave_LIBS -R $x_libraries"
    10258        cat >conftest.$ac_ext <<_ACEOF
    10259 /* confdefs.h.  */
    10260 _ACEOF
    10261 cat confdefs.h >>conftest.$ac_ext
    10262 cat >>conftest.$ac_ext <<_ACEOF
    10263 /* end confdefs.h.  */
    10264 
    10265 int
    10266 main ()
    10267 {
    10268 
    10269   ;
    10270   return 0;
    10271 }
    10272 _ACEOF
    10273 rm -f conftest.$ac_objext conftest$ac_exeext
    10274 if { (ac_try="$ac_link"
    10275 case "(($ac_try" in
    10276   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10277   *) ac_try_echo=$ac_try;;
    10278 esac
    10279 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10280 $as_echo "$ac_try_echo") >&5
    10281   (eval "$ac_link") 2>conftest.er1
    10282   ac_status=$?
    10283   grep -v '^ *+' conftest.er1 >conftest.err
    10284   rm -f conftest.er1
    10285   cat conftest.err >&5
    10286   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10287   (exit $ac_status); } && {
    10288          test -z "$ac_c_werror_flag" ||
    10289          test ! -s conftest.err
    10290        } && test -s conftest$ac_exeext && {
    10291          test "$cross_compiling" = yes ||
    10292          $as_test_x conftest$ac_exeext
    10293        }; then
    10294   { $as_echo "$as_me:$LINENO: result: yes" >&5
    10295 $as_echo "yes" >&6; }
    10296           X_LIBS="$X_LIBS -R $x_libraries"
    10297 else
    10298   $as_echo "$as_me: failed program was:" >&5
    10299 sed 's/^/| /' conftest.$ac_ext >&5
    10300 
    10301         { $as_echo "$as_me:$LINENO: result: neither works" >&5
    10302 $as_echo "neither works" >&6; }
    10303 fi
    10304 
    10305 rm -rf conftest.dSYM
    10306 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10307       conftest$ac_exeext conftest.$ac_ext
    10308 fi
    10309 
    10310 rm -rf conftest.dSYM
    10311 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10312       conftest$ac_exeext conftest.$ac_ext
    10313     ac_c_werror_flag=$ac_xsave_c_werror_flag
    10314     LIBS=$ac_xsave_LIBS
    10315   fi
    10316 
    10317   # Check for system-dependent libraries X programs must link with.
    10318   # Do this before checking for the system-independent R6 libraries
    10319   # (-lICE), since we may need -lsocket or whatever for X linking.
    10320 
    10321   if test "$ISC" = yes; then
    10322     X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl_s -linet"
    10323   else
    10324     # Martyn Johnson says this is needed for Ultrix, if the X
    10325     # libraries were built with DECnet support.  And Karl Berry says
    10326     # the Alpha needs dnet_stub (dnet does not exist).
    10327     ac_xsave_LIBS="$LIBS"; LIBS="$LIBS $X_LIBS -lX11"
    10328     cat >conftest.$ac_ext <<_ACEOF
    10329 /* confdefs.h.  */
    10330 _ACEOF
    10331 cat confdefs.h >>conftest.$ac_ext
    10332 cat >>conftest.$ac_ext <<_ACEOF
    10333 /* end confdefs.h.  */
    10334 
    10335 /* Override any GCC internal prototype to avoid an error.
    10336    Use char because int might match the return type of a GCC
    10337    builtin and then its argument prototype would still apply.  */
    10338 #ifdef __cplusplus
    10339 extern "C"
    10340 #endif
    10341 char XOpenDisplay ();
    10342 int
    10343 main ()
    10344 {
    10345 return XOpenDisplay ();
    10346   ;
    10347   return 0;
    10348 }
    10349 _ACEOF
    10350 rm -f conftest.$ac_objext conftest$ac_exeext
    10351 if { (ac_try="$ac_link"
    10352 case "(($ac_try" in
    10353   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10354   *) ac_try_echo=$ac_try;;
    10355 esac
    10356 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10357 $as_echo "$ac_try_echo") >&5
    10358   (eval "$ac_link") 2>conftest.er1
    10359   ac_status=$?
    10360   grep -v '^ *+' conftest.er1 >conftest.err
    10361   rm -f conftest.er1
    10362   cat conftest.err >&5
    10363   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10364   (exit $ac_status); } && {
    10365          test -z "$ac_c_werror_flag" ||
    10366          test ! -s conftest.err
    10367        } && test -s conftest$ac_exeext && {
    10368          test "$cross_compiling" = yes ||
    10369          $as_test_x conftest$ac_exeext
    10370        }; then
    10371   :
    10372 else
    10373   $as_echo "$as_me: failed program was:" >&5
    10374 sed 's/^/| /' conftest.$ac_ext >&5
    10375 
    10376         { $as_echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet" >&5
    10377 $as_echo_n "checking for dnet_ntoa in -ldnet... " >&6; }
    10378 if test "${ac_cv_lib_dnet_dnet_ntoa+set}" = set; then
    10379   $as_echo_n "(cached) " >&6
    10380 else
    10381   ac_check_lib_save_LIBS=$LIBS
    10382 LIBS="-ldnet  $LIBS"
    10383 cat >conftest.$ac_ext <<_ACEOF
    10384 /* confdefs.h.  */
    10385 _ACEOF
    10386 cat confdefs.h >>conftest.$ac_ext
    10387 cat >>conftest.$ac_ext <<_ACEOF
    10388 /* end confdefs.h.  */
    10389 
    10390 /* Override any GCC internal prototype to avoid an error.
    10391    Use char because int might match the return type of a GCC
    10392    builtin and then its argument prototype would still apply.  */
    10393 #ifdef __cplusplus
    10394 extern "C"
    10395 #endif
    10396 char dnet_ntoa ();
    10397 int
    10398 main ()
    10399 {
    10400 return dnet_ntoa ();
    10401   ;
    10402   return 0;
    10403 }
    10404 _ACEOF
    10405 rm -f conftest.$ac_objext conftest$ac_exeext
    10406 if { (ac_try="$ac_link"
    10407 case "(($ac_try" in
    10408   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10409   *) ac_try_echo=$ac_try;;
    10410 esac
    10411 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10412 $as_echo "$ac_try_echo") >&5
    10413   (eval "$ac_link") 2>conftest.er1
    10414   ac_status=$?
    10415   grep -v '^ *+' conftest.er1 >conftest.err
    10416   rm -f conftest.er1
    10417   cat conftest.err >&5
    10418   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10419   (exit $ac_status); } && {
    10420          test -z "$ac_c_werror_flag" ||
    10421          test ! -s conftest.err
    10422        } && test -s conftest$ac_exeext && {
    10423          test "$cross_compiling" = yes ||
    10424          $as_test_x conftest$ac_exeext
    10425        }; then
    10426   ac_cv_lib_dnet_dnet_ntoa=yes
    10427 else
    10428   $as_echo "$as_me: failed program was:" >&5
    10429 sed 's/^/| /' conftest.$ac_ext >&5
    10430 
    10431         ac_cv_lib_dnet_dnet_ntoa=no
    10432 fi
    10433 
    10434 rm -rf conftest.dSYM
    10435 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10436       conftest$ac_exeext conftest.$ac_ext
    10437 LIBS=$ac_check_lib_save_LIBS
    10438 fi
    10439 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_dnet_ntoa" >&5
    10440 $as_echo "$ac_cv_lib_dnet_dnet_ntoa" >&6; }
    10441 if test "x$ac_cv_lib_dnet_dnet_ntoa" = x""yes; then
    10442   X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet"
    10443 fi
    10444 
    10445     if test $ac_cv_lib_dnet_dnet_ntoa = no; then
    10446       { $as_echo "$as_me:$LINENO: checking for dnet_ntoa in -ldnet_stub" >&5
    10447 $as_echo_n "checking for dnet_ntoa in -ldnet_stub... " >&6; }
    10448 if test "${ac_cv_lib_dnet_stub_dnet_ntoa+set}" = set; then
    10449   $as_echo_n "(cached) " >&6
    10450 else
    10451   ac_check_lib_save_LIBS=$LIBS
    10452 LIBS="-ldnet_stub  $LIBS"
    10453 cat >conftest.$ac_ext <<_ACEOF
    10454 /* confdefs.h.  */
    10455 _ACEOF
    10456 cat confdefs.h >>conftest.$ac_ext
    10457 cat >>conftest.$ac_ext <<_ACEOF
    10458 /* end confdefs.h.  */
    10459 
    10460 /* Override any GCC internal prototype to avoid an error.
    10461    Use char because int might match the return type of a GCC
    10462    builtin and then its argument prototype would still apply.  */
    10463 #ifdef __cplusplus
    10464 extern "C"
    10465 #endif
    10466 char dnet_ntoa ();
    10467 int
    10468 main ()
    10469 {
    10470 return dnet_ntoa ();
    10471   ;
    10472   return 0;
    10473 }
    10474 _ACEOF
    10475 rm -f conftest.$ac_objext conftest$ac_exeext
    10476 if { (ac_try="$ac_link"
    10477 case "(($ac_try" in
    10478   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10479   *) ac_try_echo=$ac_try;;
    10480 esac
    10481 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10482 $as_echo "$ac_try_echo") >&5
    10483   (eval "$ac_link") 2>conftest.er1
    10484   ac_status=$?
    10485   grep -v '^ *+' conftest.er1 >conftest.err
    10486   rm -f conftest.er1
    10487   cat conftest.err >&5
    10488   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10489   (exit $ac_status); } && {
    10490          test -z "$ac_c_werror_flag" ||
    10491          test ! -s conftest.err
    10492        } && test -s conftest$ac_exeext && {
    10493          test "$cross_compiling" = yes ||
    10494          $as_test_x conftest$ac_exeext
    10495        }; then
    10496   ac_cv_lib_dnet_stub_dnet_ntoa=yes
    10497 else
    10498   $as_echo "$as_me: failed program was:" >&5
    10499 sed 's/^/| /' conftest.$ac_ext >&5
    10500 
    10501         ac_cv_lib_dnet_stub_dnet_ntoa=no
    10502 fi
    10503 
    10504 rm -rf conftest.dSYM
    10505 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10506       conftest$ac_exeext conftest.$ac_ext
    10507 LIBS=$ac_check_lib_save_LIBS
    10508 fi
    10509 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_dnet_ntoa" >&5
    10510 $as_echo "$ac_cv_lib_dnet_stub_dnet_ntoa" >&6; }
    10511 if test "x$ac_cv_lib_dnet_stub_dnet_ntoa" = x""yes; then
    10512   X_EXTRA_LIBS="$X_EXTRA_LIBS -ldnet_stub"
    10513 fi
    10514 
    10515     fi
    10516 fi
    10517 
    10518 rm -rf conftest.dSYM
    10519 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10520       conftest$ac_exeext conftest.$ac_ext
    10521     LIBS="$ac_xsave_LIBS"
    10522 
    10523     # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
    10524     # to get the SysV transport functions.
    10525     # Chad R. Larson says the Pyramis MIS-ES running DC/OSx (SVR4)
    10526     # needs -lnsl.
    10527     # The nsl library prevents programs from opening the X display
    10528     # on Irix 5.2, according to T.E. Dickey.
    10529     # The functions gethostbyname, getservbyname, and inet_addr are
    10530     # in -lbsd on LynxOS 3.0.1/i386, according to Lars Hecking.
    10531     { $as_echo "$as_me:$LINENO: checking for gethostbyname" >&5
    10532 $as_echo_n "checking for gethostbyname... " >&6; }
    10533 if test "${ac_cv_func_gethostbyname+set}" = set; then
    10534   $as_echo_n "(cached) " >&6
    10535 else
    10536   cat >conftest.$ac_ext <<_ACEOF
    10537 /* confdefs.h.  */
    10538 _ACEOF
    10539 cat confdefs.h >>conftest.$ac_ext
    10540 cat >>conftest.$ac_ext <<_ACEOF
    10541 /* end confdefs.h.  */
    10542 /* Define gethostbyname to an innocuous variant, in case <limits.h> declares gethostbyname.
    10543    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    10544 #define gethostbyname innocuous_gethostbyname
    10545 
    10546 /* System header to define __stub macros and hopefully few prototypes,
    10547     which can conflict with char gethostbyname (); below.
    10548     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    10549     <limits.h> exists even on freestanding compilers.  */
    10550 
    10551 #ifdef __STDC__
    10552 # include <limits.h>
    10553 #else
    10554 # include <assert.h>
    10555 #endif
    10556 
    10557 #undef gethostbyname
    10558 
    10559 /* Override any GCC internal prototype to avoid an error.
    10560    Use char because int might match the return type of a GCC
    10561    builtin and then its argument prototype would still apply.  */
    10562 #ifdef __cplusplus
    10563 extern "C"
    10564 #endif
    10565 char gethostbyname ();
    10566 /* The GNU C library defines this for functions which it implements
    10567     to always fail with ENOSYS.  Some functions are actually named
    10568     something starting with __ and the normal name is an alias.  */
    10569 #if defined __stub_gethostbyname || defined __stub___gethostbyname
    10570 choke me
    10571 #endif
    10572 
    10573 int
    10574 main ()
    10575 {
    10576 return gethostbyname ();
    10577   ;
    10578   return 0;
    10579 }
    10580 _ACEOF
    10581 rm -f conftest.$ac_objext conftest$ac_exeext
    10582 if { (ac_try="$ac_link"
    10583 case "(($ac_try" in
    10584   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10585   *) ac_try_echo=$ac_try;;
    10586 esac
    10587 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10588 $as_echo "$ac_try_echo") >&5
    10589   (eval "$ac_link") 2>conftest.er1
    10590   ac_status=$?
    10591   grep -v '^ *+' conftest.er1 >conftest.err
    10592   rm -f conftest.er1
    10593   cat conftest.err >&5
    10594   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10595   (exit $ac_status); } && {
    10596          test -z "$ac_c_werror_flag" ||
    10597          test ! -s conftest.err
    10598        } && test -s conftest$ac_exeext && {
    10599          test "$cross_compiling" = yes ||
    10600          $as_test_x conftest$ac_exeext
    10601        }; then
    10602   ac_cv_func_gethostbyname=yes
    10603 else
    10604   $as_echo "$as_me: failed program was:" >&5
    10605 sed 's/^/| /' conftest.$ac_ext >&5
    10606 
    10607         ac_cv_func_gethostbyname=no
    10608 fi
    10609 
    10610 rm -rf conftest.dSYM
    10611 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10612       conftest$ac_exeext conftest.$ac_ext
    10613 fi
    10614 { $as_echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
    10615 $as_echo "$ac_cv_func_gethostbyname" >&6; }
    10616 
    10617     if test $ac_cv_func_gethostbyname = no; then
    10618       { $as_echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
    10619 $as_echo_n "checking for gethostbyname in -lnsl... " >&6; }
    10620 if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
    10621   $as_echo_n "(cached) " >&6
    10622 else
    10623   ac_check_lib_save_LIBS=$LIBS
    10624 LIBS="-lnsl  $LIBS"
    10625 cat >conftest.$ac_ext <<_ACEOF
    10626 /* confdefs.h.  */
    10627 _ACEOF
    10628 cat confdefs.h >>conftest.$ac_ext
    10629 cat >>conftest.$ac_ext <<_ACEOF
    10630 /* end confdefs.h.  */
    10631 
    10632 /* Override any GCC internal prototype to avoid an error.
    10633    Use char because int might match the return type of a GCC
    10634    builtin and then its argument prototype would still apply.  */
    10635 #ifdef __cplusplus
    10636 extern "C"
    10637 #endif
    10638 char gethostbyname ();
    10639 int
    10640 main ()
    10641 {
    10642 return gethostbyname ();
    10643   ;
    10644   return 0;
    10645 }
    10646 _ACEOF
    10647 rm -f conftest.$ac_objext conftest$ac_exeext
    10648 if { (ac_try="$ac_link"
    10649 case "(($ac_try" in
    10650   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10651   *) ac_try_echo=$ac_try;;
    10652 esac
    10653 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10654 $as_echo "$ac_try_echo") >&5
    10655   (eval "$ac_link") 2>conftest.er1
    10656   ac_status=$?
    10657   grep -v '^ *+' conftest.er1 >conftest.err
    10658   rm -f conftest.er1
    10659   cat conftest.err >&5
    10660   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10661   (exit $ac_status); } && {
    10662          test -z "$ac_c_werror_flag" ||
    10663          test ! -s conftest.err
    10664        } && test -s conftest$ac_exeext && {
    10665          test "$cross_compiling" = yes ||
    10666          $as_test_x conftest$ac_exeext
    10667        }; then
    10668   ac_cv_lib_nsl_gethostbyname=yes
    10669 else
    10670   $as_echo "$as_me: failed program was:" >&5
    10671 sed 's/^/| /' conftest.$ac_ext >&5
    10672 
    10673         ac_cv_lib_nsl_gethostbyname=no
    10674 fi
    10675 
    10676 rm -rf conftest.dSYM
    10677 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10678       conftest$ac_exeext conftest.$ac_ext
    10679 LIBS=$ac_check_lib_save_LIBS
    10680 fi
    10681 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
    10682 $as_echo "$ac_cv_lib_nsl_gethostbyname" >&6; }
    10683 if test "x$ac_cv_lib_nsl_gethostbyname" = x""yes; then
    10684   X_EXTRA_LIBS="$X_EXTRA_LIBS -lnsl"
    10685 fi
    10686 
    10687       if test $ac_cv_lib_nsl_gethostbyname = no; then
    10688         { $as_echo "$as_me:$LINENO: checking for gethostbyname in -lbsd" >&5
    10689 $as_echo_n "checking for gethostbyname in -lbsd... " >&6; }
    10690 if test "${ac_cv_lib_bsd_gethostbyname+set}" = set; then
    10691   $as_echo_n "(cached) " >&6
    10692 else
    10693   ac_check_lib_save_LIBS=$LIBS
    10694 LIBS="-lbsd  $LIBS"
    10695 cat >conftest.$ac_ext <<_ACEOF
    10696 /* confdefs.h.  */
    10697 _ACEOF
    10698 cat confdefs.h >>conftest.$ac_ext
    10699 cat >>conftest.$ac_ext <<_ACEOF
    10700 /* end confdefs.h.  */
    10701 
    10702 /* Override any GCC internal prototype to avoid an error.
    10703    Use char because int might match the return type of a GCC
    10704    builtin and then its argument prototype would still apply.  */
    10705 #ifdef __cplusplus
    10706 extern "C"
    10707 #endif
    10708 char gethostbyname ();
    10709 int
    10710 main ()
    10711 {
    10712 return gethostbyname ();
    10713   ;
    10714   return 0;
    10715 }
    10716 _ACEOF
    10717 rm -f conftest.$ac_objext conftest$ac_exeext
    10718 if { (ac_try="$ac_link"
    10719 case "(($ac_try" in
    10720   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10721   *) ac_try_echo=$ac_try;;
    10722 esac
    10723 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10724 $as_echo "$ac_try_echo") >&5
    10725   (eval "$ac_link") 2>conftest.er1
    10726   ac_status=$?
    10727   grep -v '^ *+' conftest.er1 >conftest.err
    10728   rm -f conftest.er1
    10729   cat conftest.err >&5
    10730   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10731   (exit $ac_status); } && {
    10732          test -z "$ac_c_werror_flag" ||
    10733          test ! -s conftest.err
    10734        } && test -s conftest$ac_exeext && {
    10735          test "$cross_compiling" = yes ||
    10736          $as_test_x conftest$ac_exeext
    10737        }; then
    10738   ac_cv_lib_bsd_gethostbyname=yes
    10739 else
    10740   $as_echo "$as_me: failed program was:" >&5
    10741 sed 's/^/| /' conftest.$ac_ext >&5
    10742 
    10743         ac_cv_lib_bsd_gethostbyname=no
    10744 fi
    10745 
    10746 rm -rf conftest.dSYM
    10747 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10748       conftest$ac_exeext conftest.$ac_ext
    10749 LIBS=$ac_check_lib_save_LIBS
    10750 fi
    10751 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_bsd_gethostbyname" >&5
    10752 $as_echo "$ac_cv_lib_bsd_gethostbyname" >&6; }
    10753 if test "x$ac_cv_lib_bsd_gethostbyname" = x""yes; then
    10754   X_EXTRA_LIBS="$X_EXTRA_LIBS -lbsd"
    10755 fi
    10756 
    10757       fi
    10758     fi
    10759 
    10760     # lieder@skyler.mavd.honeywell.com says without -lsocket,
    10761     # socket/setsockopt and other routines are undefined under SCO ODT
    10762     # 2.0.  But -lsocket is broken on IRIX 5.2 (and is not necessary
    10763     # on later versions), says Simon Leinen: it contains gethostby*
    10764     # variants that don't use the name server (or something).  -lsocket
    10765     # must be given before -lnsl if both are needed.  We assume that
    10766     # if connect needs -lnsl, so does gethostbyname.
    10767     { $as_echo "$as_me:$LINENO: checking for connect" >&5
    10768 $as_echo_n "checking for connect... " >&6; }
    10769 if test "${ac_cv_func_connect+set}" = set; then
    10770   $as_echo_n "(cached) " >&6
    10771 else
    10772   cat >conftest.$ac_ext <<_ACEOF
    10773 /* confdefs.h.  */
    10774 _ACEOF
    10775 cat confdefs.h >>conftest.$ac_ext
    10776 cat >>conftest.$ac_ext <<_ACEOF
    10777 /* end confdefs.h.  */
    10778 /* Define connect to an innocuous variant, in case <limits.h> declares connect.
    10779    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    10780 #define connect innocuous_connect
    10781 
    10782 /* System header to define __stub macros and hopefully few prototypes,
    10783     which can conflict with char connect (); below.
    10784     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    10785     <limits.h> exists even on freestanding compilers.  */
    10786 
    10787 #ifdef __STDC__
    10788 # include <limits.h>
    10789 #else
    10790 # include <assert.h>
    10791 #endif
    10792 
    10793 #undef connect
    10794 
    10795 /* Override any GCC internal prototype to avoid an error.
    10796    Use char because int might match the return type of a GCC
    10797    builtin and then its argument prototype would still apply.  */
    10798 #ifdef __cplusplus
    10799 extern "C"
    10800 #endif
    10801 char connect ();
    10802 /* The GNU C library defines this for functions which it implements
    10803     to always fail with ENOSYS.  Some functions are actually named
    10804     something starting with __ and the normal name is an alias.  */
    10805 #if defined __stub_connect || defined __stub___connect
    10806 choke me
    10807 #endif
    10808 
    10809 int
    10810 main ()
    10811 {
    10812 return connect ();
    10813   ;
    10814   return 0;
    10815 }
    10816 _ACEOF
    10817 rm -f conftest.$ac_objext conftest$ac_exeext
    10818 if { (ac_try="$ac_link"
    10819 case "(($ac_try" in
    10820   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10821   *) ac_try_echo=$ac_try;;
    10822 esac
    10823 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10824 $as_echo "$ac_try_echo") >&5
    10825   (eval "$ac_link") 2>conftest.er1
    10826   ac_status=$?
    10827   grep -v '^ *+' conftest.er1 >conftest.err
    10828   rm -f conftest.er1
    10829   cat conftest.err >&5
    10830   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10831   (exit $ac_status); } && {
    10832          test -z "$ac_c_werror_flag" ||
    10833          test ! -s conftest.err
    10834        } && test -s conftest$ac_exeext && {
    10835          test "$cross_compiling" = yes ||
    10836          $as_test_x conftest$ac_exeext
    10837        }; then
    10838   ac_cv_func_connect=yes
    10839 else
    10840   $as_echo "$as_me: failed program was:" >&5
    10841 sed 's/^/| /' conftest.$ac_ext >&5
    10842 
    10843         ac_cv_func_connect=no
    10844 fi
    10845 
    10846 rm -rf conftest.dSYM
    10847 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10848       conftest$ac_exeext conftest.$ac_ext
    10849 fi
    10850 { $as_echo "$as_me:$LINENO: result: $ac_cv_func_connect" >&5
    10851 $as_echo "$ac_cv_func_connect" >&6; }
    10852 
    10853     if test $ac_cv_func_connect = no; then
    10854       { $as_echo "$as_me:$LINENO: checking for connect in -lsocket" >&5
    10855 $as_echo_n "checking for connect in -lsocket... " >&6; }
    10856 if test "${ac_cv_lib_socket_connect+set}" = set; then
    10857   $as_echo_n "(cached) " >&6
    10858 else
    10859   ac_check_lib_save_LIBS=$LIBS
    10860 LIBS="-lsocket $X_EXTRA_LIBS $LIBS"
    10861 cat >conftest.$ac_ext <<_ACEOF
    10862 /* confdefs.h.  */
    10863 _ACEOF
    10864 cat confdefs.h >>conftest.$ac_ext
    10865 cat >>conftest.$ac_ext <<_ACEOF
    10866 /* end confdefs.h.  */
    10867 
    10868 /* Override any GCC internal prototype to avoid an error.
    10869    Use char because int might match the return type of a GCC
    10870    builtin and then its argument prototype would still apply.  */
    10871 #ifdef __cplusplus
    10872 extern "C"
    10873 #endif
    10874 char connect ();
    10875 int
    10876 main ()
    10877 {
    10878 return connect ();
    10879   ;
    10880   return 0;
    10881 }
    10882 _ACEOF
    10883 rm -f conftest.$ac_objext conftest$ac_exeext
    10884 if { (ac_try="$ac_link"
    10885 case "(($ac_try" in
    10886   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10887   *) ac_try_echo=$ac_try;;
    10888 esac
    10889 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10890 $as_echo "$ac_try_echo") >&5
    10891   (eval "$ac_link") 2>conftest.er1
    10892   ac_status=$?
    10893   grep -v '^ *+' conftest.er1 >conftest.err
    10894   rm -f conftest.er1
    10895   cat conftest.err >&5
    10896   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10897   (exit $ac_status); } && {
    10898          test -z "$ac_c_werror_flag" ||
    10899          test ! -s conftest.err
    10900        } && test -s conftest$ac_exeext && {
    10901          test "$cross_compiling" = yes ||
    10902          $as_test_x conftest$ac_exeext
    10903        }; then
    10904   ac_cv_lib_socket_connect=yes
    10905 else
    10906   $as_echo "$as_me: failed program was:" >&5
    10907 sed 's/^/| /' conftest.$ac_ext >&5
    10908 
    10909         ac_cv_lib_socket_connect=no
    10910 fi
    10911 
    10912 rm -rf conftest.dSYM
    10913 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    10914       conftest$ac_exeext conftest.$ac_ext
    10915 LIBS=$ac_check_lib_save_LIBS
    10916 fi
    10917 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_socket_connect" >&5
    10918 $as_echo "$ac_cv_lib_socket_connect" >&6; }
    10919 if test "x$ac_cv_lib_socket_connect" = x""yes; then
    10920   X_EXTRA_LIBS="-lsocket $X_EXTRA_LIBS"
    10921 fi
    10922 
    10923     fi
    10924 
    10925     # Guillermo Gomez says -lposix is necessary on A/UX.
    10926     { $as_echo "$as_me:$LINENO: checking for remove" >&5
    10927 $as_echo_n "checking for remove... " >&6; }
    10928 if test "${ac_cv_func_remove+set}" = set; then
    10929   $as_echo_n "(cached) " >&6
    10930 else
    10931   cat >conftest.$ac_ext <<_ACEOF
    10932 /* confdefs.h.  */
    10933 _ACEOF
    10934 cat confdefs.h >>conftest.$ac_ext
    10935 cat >>conftest.$ac_ext <<_ACEOF
    10936 /* end confdefs.h.  */
    10937 /* Define remove to an innocuous variant, in case <limits.h> declares remove.
    10938    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    10939 #define remove innocuous_remove
    10940 
    10941 /* System header to define __stub macros and hopefully few prototypes,
    10942     which can conflict with char remove (); below.
    10943     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    10944     <limits.h> exists even on freestanding compilers.  */
    10945 
    10946 #ifdef __STDC__
    10947 # include <limits.h>
    10948 #else
    10949 # include <assert.h>
    10950 #endif
    10951 
    10952 #undef remove
    10953 
    10954 /* Override any GCC internal prototype to avoid an error.
    10955    Use char because int might match the return type of a GCC
    10956    builtin and then its argument prototype would still apply.  */
    10957 #ifdef __cplusplus
    10958 extern "C"
    10959 #endif
    10960 char remove ();
    10961 /* The GNU C library defines this for functions which it implements
    10962     to always fail with ENOSYS.  Some functions are actually named
    10963     something starting with __ and the normal name is an alias.  */
    10964 #if defined __stub_remove || defined __stub___remove
    10965 choke me
    10966 #endif
    10967 
    10968 int
    10969 main ()
    10970 {
    10971 return remove ();
    10972   ;
    10973   return 0;
    10974 }
    10975 _ACEOF
    10976 rm -f conftest.$ac_objext conftest$ac_exeext
    10977 if { (ac_try="$ac_link"
    10978 case "(($ac_try" in
    10979   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    10980   *) ac_try_echo=$ac_try;;
    10981 esac
    10982 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    10983 $as_echo "$ac_try_echo") >&5
    10984   (eval "$ac_link") 2>conftest.er1
    10985   ac_status=$?
    10986   grep -v '^ *+' conftest.er1 >conftest.err
    10987   rm -f conftest.er1
    10988   cat conftest.err >&5
    10989   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    10990   (exit $ac_status); } && {
    10991          test -z "$ac_c_werror_flag" ||
    10992          test ! -s conftest.err
    10993        } && test -s conftest$ac_exeext && {
    10994          test "$cross_compiling" = yes ||
    10995          $as_test_x conftest$ac_exeext
    10996        }; then
    10997   ac_cv_func_remove=yes
    10998 else
    10999   $as_echo "$as_me: failed program was:" >&5
    11000 sed 's/^/| /' conftest.$ac_ext >&5
    11001 
    11002         ac_cv_func_remove=no
    11003 fi
    11004 
    11005 rm -rf conftest.dSYM
    11006 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11007       conftest$ac_exeext conftest.$ac_ext
    11008 fi
    11009 { $as_echo "$as_me:$LINENO: result: $ac_cv_func_remove" >&5
    11010 $as_echo "$ac_cv_func_remove" >&6; }
    11011 
    11012     if test $ac_cv_func_remove = no; then
    11013       { $as_echo "$as_me:$LINENO: checking for remove in -lposix" >&5
    11014 $as_echo_n "checking for remove in -lposix... " >&6; }
    11015 if test "${ac_cv_lib_posix_remove+set}" = set; then
    11016   $as_echo_n "(cached) " >&6
    11017 else
    11018   ac_check_lib_save_LIBS=$LIBS
    11019 LIBS="-lposix  $LIBS"
    11020 cat >conftest.$ac_ext <<_ACEOF
    11021 /* confdefs.h.  */
    11022 _ACEOF
    11023 cat confdefs.h >>conftest.$ac_ext
    11024 cat >>conftest.$ac_ext <<_ACEOF
    11025 /* end confdefs.h.  */
    11026 
    11027 /* Override any GCC internal prototype to avoid an error.
    11028    Use char because int might match the return type of a GCC
    11029    builtin and then its argument prototype would still apply.  */
    11030 #ifdef __cplusplus
    11031 extern "C"
    11032 #endif
    11033 char remove ();
    11034 int
    11035 main ()
    11036 {
    11037 return remove ();
    11038   ;
    11039   return 0;
    11040 }
    11041 _ACEOF
    11042 rm -f conftest.$ac_objext conftest$ac_exeext
    11043 if { (ac_try="$ac_link"
    11044 case "(($ac_try" in
    11045   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    11046   *) ac_try_echo=$ac_try;;
    11047 esac
    11048 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    11049 $as_echo "$ac_try_echo") >&5
    11050   (eval "$ac_link") 2>conftest.er1
    11051   ac_status=$?
    11052   grep -v '^ *+' conftest.er1 >conftest.err
    11053   rm -f conftest.er1
    11054   cat conftest.err >&5
    11055   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    11056   (exit $ac_status); } && {
    11057          test -z "$ac_c_werror_flag" ||
    11058          test ! -s conftest.err
    11059        } && test -s conftest$ac_exeext && {
    11060          test "$cross_compiling" = yes ||
    11061          $as_test_x conftest$ac_exeext
    11062        }; then
    11063   ac_cv_lib_posix_remove=yes
    11064 else
    11065   $as_echo "$as_me: failed program was:" >&5
    11066 sed 's/^/| /' conftest.$ac_ext >&5
    11067 
    11068         ac_cv_lib_posix_remove=no
    11069 fi
    11070 
    11071 rm -rf conftest.dSYM
    11072 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11073       conftest$ac_exeext conftest.$ac_ext
    11074 LIBS=$ac_check_lib_save_LIBS
    11075 fi
    11076 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_posix_remove" >&5
    11077 $as_echo "$ac_cv_lib_posix_remove" >&6; }
    11078 if test "x$ac_cv_lib_posix_remove" = x""yes; then
    11079   X_EXTRA_LIBS="$X_EXTRA_LIBS -lposix"
    11080 fi
    11081 
    11082     fi
    11083 
    11084     # BSDI BSD/OS 2.1 needs -lipc for XOpenDisplay.
    11085     { $as_echo "$as_me:$LINENO: checking for shmat" >&5
    11086 $as_echo_n "checking for shmat... " >&6; }
    11087 if test "${ac_cv_func_shmat+set}" = set; then
    11088   $as_echo_n "(cached) " >&6
    11089 else
    11090   cat >conftest.$ac_ext <<_ACEOF
    11091 /* confdefs.h.  */
    11092 _ACEOF
    11093 cat confdefs.h >>conftest.$ac_ext
    11094 cat >>conftest.$ac_ext <<_ACEOF
    11095 /* end confdefs.h.  */
    11096 /* Define shmat to an innocuous variant, in case <limits.h> declares shmat.
    11097    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    11098 #define shmat innocuous_shmat
    11099 
    11100 /* System header to define __stub macros and hopefully few prototypes,
    11101     which can conflict with char shmat (); below.
    11102     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    11103     <limits.h> exists even on freestanding compilers.  */
    11104 
    11105 #ifdef __STDC__
    11106 # include <limits.h>
    11107 #else
    11108 # include <assert.h>
    11109 #endif
    11110 
    11111 #undef shmat
    11112 
    11113 /* Override any GCC internal prototype to avoid an error.
    11114    Use char because int might match the return type of a GCC
    11115    builtin and then its argument prototype would still apply.  */
    11116 #ifdef __cplusplus
    11117 extern "C"
    11118 #endif
    11119 char shmat ();
    11120 /* The GNU C library defines this for functions which it implements
    11121     to always fail with ENOSYS.  Some functions are actually named
    11122     something starting with __ and the normal name is an alias.  */
    11123 #if defined __stub_shmat || defined __stub___shmat
    11124 choke me
    11125 #endif
    11126 
    11127 int
    11128 main ()
    11129 {
    11130 return shmat ();
    11131   ;
    11132   return 0;
    11133 }
    11134 _ACEOF
    11135 rm -f conftest.$ac_objext conftest$ac_exeext
    11136 if { (ac_try="$ac_link"
    11137 case "(($ac_try" in
    11138   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    11139   *) ac_try_echo=$ac_try;;
    11140 esac
    11141 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    11142 $as_echo "$ac_try_echo") >&5
    11143   (eval "$ac_link") 2>conftest.er1
    11144   ac_status=$?
    11145   grep -v '^ *+' conftest.er1 >conftest.err
    11146   rm -f conftest.er1
    11147   cat conftest.err >&5
    11148   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    11149   (exit $ac_status); } && {
    11150          test -z "$ac_c_werror_flag" ||
    11151          test ! -s conftest.err
    11152        } && test -s conftest$ac_exeext && {
    11153          test "$cross_compiling" = yes ||
    11154          $as_test_x conftest$ac_exeext
    11155        }; then
    11156   ac_cv_func_shmat=yes
    11157 else
    11158   $as_echo "$as_me: failed program was:" >&5
    11159 sed 's/^/| /' conftest.$ac_ext >&5
    11160 
    11161         ac_cv_func_shmat=no
    11162 fi
    11163 
    11164 rm -rf conftest.dSYM
    11165 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11166       conftest$ac_exeext conftest.$ac_ext
    11167 fi
    11168 { $as_echo "$as_me:$LINENO: result: $ac_cv_func_shmat" >&5
    11169 $as_echo "$ac_cv_func_shmat" >&6; }
    11170 
    11171     if test $ac_cv_func_shmat = no; then
    11172       { $as_echo "$as_me:$LINENO: checking for shmat in -lipc" >&5
    11173 $as_echo_n "checking for shmat in -lipc... " >&6; }
    11174 if test "${ac_cv_lib_ipc_shmat+set}" = set; then
    11175   $as_echo_n "(cached) " >&6
    11176 else
    11177   ac_check_lib_save_LIBS=$LIBS
    11178 LIBS="-lipc  $LIBS"
    11179 cat >conftest.$ac_ext <<_ACEOF
    11180 /* confdefs.h.  */
    11181 _ACEOF
    11182 cat confdefs.h >>conftest.$ac_ext
    11183 cat >>conftest.$ac_ext <<_ACEOF
    11184 /* end confdefs.h.  */
    11185 
    11186 /* Override any GCC internal prototype to avoid an error.
    11187    Use char because int might match the return type of a GCC
    11188    builtin and then its argument prototype would still apply.  */
    11189 #ifdef __cplusplus
    11190 extern "C"
    11191 #endif
    11192 char shmat ();
    11193 int
    11194 main ()
    11195 {
    11196 return shmat ();
    11197   ;
    11198   return 0;
    11199 }
    11200 _ACEOF
    11201 rm -f conftest.$ac_objext conftest$ac_exeext
    11202 if { (ac_try="$ac_link"
    11203 case "(($ac_try" in
    11204   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    11205   *) ac_try_echo=$ac_try;;
    11206 esac
    11207 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    11208 $as_echo "$ac_try_echo") >&5
    11209   (eval "$ac_link") 2>conftest.er1
    11210   ac_status=$?
    11211   grep -v '^ *+' conftest.er1 >conftest.err
    11212   rm -f conftest.er1
    11213   cat conftest.err >&5
    11214   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    11215   (exit $ac_status); } && {
    11216          test -z "$ac_c_werror_flag" ||
    11217          test ! -s conftest.err
    11218        } && test -s conftest$ac_exeext && {
    11219          test "$cross_compiling" = yes ||
    11220          $as_test_x conftest$ac_exeext
    11221        }; then
    11222   ac_cv_lib_ipc_shmat=yes
    11223 else
    11224   $as_echo "$as_me: failed program was:" >&5
    11225 sed 's/^/| /' conftest.$ac_ext >&5
    11226 
    11227         ac_cv_lib_ipc_shmat=no
    11228 fi
    11229 
    11230 rm -rf conftest.dSYM
    11231 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11232       conftest$ac_exeext conftest.$ac_ext
    11233 LIBS=$ac_check_lib_save_LIBS
    11234 fi
    11235 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_ipc_shmat" >&5
    11236 $as_echo "$ac_cv_lib_ipc_shmat" >&6; }
    11237 if test "x$ac_cv_lib_ipc_shmat" = x""yes; then
    11238   X_EXTRA_LIBS="$X_EXTRA_LIBS -lipc"
    11239 fi
    11240 
    11241     fi
    11242   fi
    11243 
    11244   # Check for libraries that X11R6 Xt/Xaw programs need.
    11245   ac_save_LDFLAGS=$LDFLAGS
    11246   test -n "$x_libraries" && LDFLAGS="$LDFLAGS -L$x_libraries"
    11247   # SM needs ICE to (dynamically) link under SunOS 4.x (so we have to
    11248   # check for ICE first), but we must link in the order -lSM -lICE or
    11249   # we get undefined symbols.  So assume we have SM if we have ICE.
    11250   # These have to be linked with before -lX11, unlike the other
    11251   # libraries we check for below, so use a different variable.
    11252   # John Interrante, Karl Berry
    11253   { $as_echo "$as_me:$LINENO: checking for IceConnectionNumber in -lICE" >&5
    11254 $as_echo_n "checking for IceConnectionNumber in -lICE... " >&6; }
    11255 if test "${ac_cv_lib_ICE_IceConnectionNumber+set}" = set; then
    11256   $as_echo_n "(cached) " >&6
    11257 else
    11258   ac_check_lib_save_LIBS=$LIBS
    11259 LIBS="-lICE $X_EXTRA_LIBS $LIBS"
    11260 cat >conftest.$ac_ext <<_ACEOF
    11261 /* confdefs.h.  */
    11262 _ACEOF
    11263 cat confdefs.h >>conftest.$ac_ext
    11264 cat >>conftest.$ac_ext <<_ACEOF
    11265 /* end confdefs.h.  */
    11266 
    11267 /* Override any GCC internal prototype to avoid an error.
    11268    Use char because int might match the return type of a GCC
    11269    builtin and then its argument prototype would still apply.  */
    11270 #ifdef __cplusplus
    11271 extern "C"
    11272 #endif
    11273 char IceConnectionNumber ();
    11274 int
    11275 main ()
    11276 {
    11277 return IceConnectionNumber ();
    11278   ;
    11279   return 0;
    11280 }
    11281 _ACEOF
    11282 rm -f conftest.$ac_objext conftest$ac_exeext
    11283 if { (ac_try="$ac_link"
    11284 case "(($ac_try" in
    11285   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    11286   *) ac_try_echo=$ac_try;;
    11287 esac
    11288 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    11289 $as_echo "$ac_try_echo") >&5
    11290   (eval "$ac_link") 2>conftest.er1
    11291   ac_status=$?
    11292   grep -v '^ *+' conftest.er1 >conftest.err
    11293   rm -f conftest.er1
    11294   cat conftest.err >&5
    11295   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    11296   (exit $ac_status); } && {
    11297          test -z "$ac_c_werror_flag" ||
    11298          test ! -s conftest.err
    11299        } && test -s conftest$ac_exeext && {
    11300          test "$cross_compiling" = yes ||
    11301          $as_test_x conftest$ac_exeext
    11302        }; then
    11303   ac_cv_lib_ICE_IceConnectionNumber=yes
    11304 else
    11305   $as_echo "$as_me: failed program was:" >&5
    11306 sed 's/^/| /' conftest.$ac_ext >&5
    11307 
    11308         ac_cv_lib_ICE_IceConnectionNumber=no
    11309 fi
    11310 
    11311 rm -rf conftest.dSYM
    11312 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11313       conftest$ac_exeext conftest.$ac_ext
    11314 LIBS=$ac_check_lib_save_LIBS
    11315 fi
    11316 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_ICE_IceConnectionNumber" >&5
    11317 $as_echo "$ac_cv_lib_ICE_IceConnectionNumber" >&6; }
    11318 if test "x$ac_cv_lib_ICE_IceConnectionNumber" = x""yes; then
    11319   X_PRE_LIBS="$X_PRE_LIBS -lSM -lICE"
    11320 fi
    11321 
    11322   LDFLAGS=$ac_save_LDFLAGS
    11323 
    11324 fi
    11325 
    11326 
    11327         # Check for libX11
    11328         { $as_echo "$as_me:$LINENO: checking for XOpenDisplay in -lX11" >&5
    11329 $as_echo_n "checking for XOpenDisplay in -lX11... " >&6; }
    11330 if test "${ac_cv_lib_X11_XOpenDisplay+set}" = set; then
    11331   $as_echo_n "(cached) " >&6
    11332 else
    11333   ac_check_lib_save_LIBS=$LIBS
    11334 LIBS="-lX11 $X_LIBS $LIBS"
    11335 cat >conftest.$ac_ext <<_ACEOF
    11336 /* confdefs.h.  */
    11337 _ACEOF
    11338 cat confdefs.h >>conftest.$ac_ext
    11339 cat >>conftest.$ac_ext <<_ACEOF
    11340 /* end confdefs.h.  */
    11341 
    11342 /* Override any GCC internal prototype to avoid an error.
    11343    Use char because int might match the return type of a GCC
    11344    builtin and then its argument prototype would still apply.  */
    11345 #ifdef __cplusplus
    11346 extern "C"
    11347 #endif
    11348 char XOpenDisplay ();
    11349 int
    11350 main ()
    11351 {
    11352 return XOpenDisplay ();
    11353   ;
    11354   return 0;
    11355 }
    11356 _ACEOF
    11357 rm -f conftest.$ac_objext conftest$ac_exeext
    11358 if { (ac_try="$ac_link"
    11359 case "(($ac_try" in
    11360   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
    11361   *) ac_try_echo=$ac_try;;
    11362 esac
    11363 eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
    11364 $as_echo "$ac_try_echo") >&5
    11365   (eval "$ac_link") 2>conftest.er1
    11366   ac_status=$?
    11367   grep -v '^ *+' conftest.er1 >conftest.err
    11368   rm -f conftest.er1
    11369   cat conftest.err >&5
    11370   $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
    11371   (exit $ac_status); } && {
    11372          test -z "$ac_c_werror_flag" ||
    11373          test ! -s conftest.err
    11374        } && test -s conftest$ac_exeext && {
    11375          test "$cross_compiling" = yes ||
    11376          $as_test_x conftest$ac_exeext
    11377        }; then
    11378   ac_cv_lib_X11_XOpenDisplay=yes
    11379 else
    11380   $as_echo "$as_me: failed program was:" >&5
    11381 sed 's/^/| /' conftest.$ac_ext >&5
    11382 
    11383         ac_cv_lib_X11_XOpenDisplay=no
    11384 fi
    11385 
    11386 rm -rf conftest.dSYM
    11387 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
    11388       conftest$ac_exeext conftest.$ac_ext
    11389 LIBS=$ac_check_lib_save_LIBS
    11390 fi
    11391 { $as_echo "$as_me:$LINENO: result: $ac_cv_lib_X11_XOpenDisplay" >&5
    11392 $as_echo "$ac_cv_lib_X11_XOpenDisplay" >&6; }
    11393 if test "x$ac_cv_lib_X11_XOpenDisplay" = x""yes; then
    11394 
    11395                 has_x_runtime=yes
    11396 
    11397 else
    11398    has_x_runtime=no
    11399 fi
    11400 
    11401 
    11402 #       echo "------done---------"
    11403 #       echo "x_includes=${x_includes}"
    11404 #       echo "x_libraries=${x_libraries}"
    11405 #       echo "no_x=${no_x}"
    11406 #       echo "X_CFLAGS=${X_CFLAGS}"
    11407 #       echo "X_LIBS=${X_LIBS}"
    11408 #       echo "X_DISPLAY_MISSING=${X_DISPLAY_MISSING}"
    11409 #       echo "has_x_runtime=${has_x_runtime}"
    11410 #       echo "host_os=${host_os}"
    11411 #       echo "------done---------"
    11412 
    11413         state=
    11414 
    11415         case "__${has_x_runtime}__${no_x}__" in
    11416                 "__no__yes__")
    11417                 # either the user said --without-x, or it was not found
    11418                 # at all (runtime or headers)
    11419                         { $as_echo "$as_me:$LINENO: WARNING: X11 not available. You will not be able to use ports that use X11" >&5
    11420 $as_echo "$as_me: WARNING: X11 not available. You will not be able to use ports that use X11" >&2;}
    11421                         state=0
    11422                         ;;
    11423                 "__yes__yes__")
    11424                         state=1
    11425                         ;;
    11426                 "__yes____")
    11427                         state=2
    11428                         ;;
    11429                 *)
    11430                         state=3
    11431                         ;;
    11432         esac
    11433 
    11434         case $host_os in
    11435                 darwin*)
    11436                         case $state in
    11437                                 1)
    11438                                         cat <<EOF;
    11439 Please install the X11 SDK packages from the
    11440 Xcode Developer Tools CD
    11441 EOF
    11442                                         { { $as_echo "$as_me:$LINENO: error: Broken X11 install. No X11 headers" >&5
    11443 $as_echo "$as_me: error: Broken X11 install. No X11 headers" >&2;}
    11444    { (exit 1); exit 1; }; }
    11445 
    11446                                         ;;
    11447                                 3)
    11448                                         cat <<EOF;
    11449 Unknown configuration problem. Please install the X11 runtime
    11450 and/or X11 SDK  packages from the Xcode Developer Tools CD
    11451 EOF
    11452                                         { { $as_echo "$as_me:$LINENO: error: Broken X11 install" >&5
    11453 $as_echo "$as_me: error: Broken X11 install" >&2;}
    11454    { (exit 1); exit 1; }; }
    11455                                         ;;
    11456                         esac
    11457                         ;;
    11458                 *)
    11459                         case $state in
    11460                                 1)
    11461                                         cat <<EOF;
    11462 Please install the X11 developer headers for your platform
    11463 EOF
    11464                                         { { $as_echo "$as_me:$LINENO: error: Broken X11 install. No X11 headers" >&5
    11465 $as_echo "$as_me: error: Broken X11 install. No X11 headers" >&2;}
    11466    { (exit 1); exit 1; }; }
    11467 
    11468                                         ;;
    11469                                 3)
    11470                                         cat <<EOF;
    11471 Unknown configuration problem. Please install the X11
    11472 implementation for your platform
    11473 EOF
    11474                                         { { $as_echo "$as_me:$LINENO: error: Broken X11 install" >&5
    11475 $as_echo "$as_me: error: Broken X11 install" >&2;}
    11476    { (exit 1); exit 1; }; }
    11477                                         ;;
    11478                         esac
    11479                         ;;
    11480         esac
    11481 
    11482 
    11483 
    11484 { $as_echo "$as_me:$LINENO: checking for X11 prefix" >&5
    11485 $as_echo_n "checking for X11 prefix... " >&6; }
    11486 X_INCLUDES_PREFIX=`echo "$x_includes" | sed "s,/include,,"`
    11487 X_LIBRARIES_PREFIX=`echo "$x_libraries" | sed "s,/lib,,"`
    11488 if test "x$have_x" = "xyes" -a "x$X_INCLUDES_PREFIX" = "x$X_LIBRARIES_PREFIX" -a "x$X_LIBRARIES_PREFIX" != x; then
    11489     x11prefix=$X_LIBRARIES_PREFIX
    11490 fi
    11491 { $as_echo "$as_me:$LINENO: result: $x11prefix" >&5
    11492 $as_echo "$x11prefix" >&6; }
    114939893
    114949894
  • trunk/base/configure.ac

    r49072 r50573  
    174174MP_CHECK_READLINK_IS_P1003_1A
    175175
    176 AC_ARG_WITH(x11-prefix, [AC_HELP_STRING([--with-x11-prefix=PREFIX], [use PREFIX as the X11 base dir (default autodetect)])], [ x11prefix="$withval" ] )
    177 case "$x11prefix" in
    178   "")
    179     # default to traditional value
    180     x11prefix=/usr/X11R6
    181     ;;
    182   *)
    183     x_includes=$x11prefix/include
    184     x_libraries=$x11prefix/lib
    185     ;;
    186 esac
    187 
    188176# Check for md5 implementation
    189177MP_LIB_MD5
    190 # Check for X11 and paraphernalia
    191 MP_CHECK_X11
    192 
    193 AC_MSG_CHECKING(for X11 prefix)
    194 X_INCLUDES_PREFIX=`echo "$x_includes" | sed "s,/include,,"`
    195 X_LIBRARIES_PREFIX=`echo "$x_libraries" | sed "s,/lib,,"`
    196 if test "x$have_x" = "xyes" -a "x$X_INCLUDES_PREFIX" = "x$X_LIBRARIES_PREFIX" -a "x$X_LIBRARIES_PREFIX" != x; then
    197     x11prefix=$X_LIBRARIES_PREFIX
    198 fi
    199 AC_MSG_RESULT([$x11prefix])
    200 AC_SUBST(x11prefix)
    201178
    202179# Check for readline
  • trunk/base/doc/macports.conf.in

    r48760 r50573  
    2020# PATH settings that are used for external tools (configure, make, etc.) while installing ports. The default
    2121# paths are given in the example; it need not be uncommented.  Customizing binpath is intended for advanced users only.
    22 #binpath                @prefix_expanded@/bin:@prefix_expanded@/sbin:/bin:/sbin:/usr/bin:/usr/sbin:@x11prefix@/bin
    23 
    24 # Directory containing the X11 installation.
    25 x11prefix               @x11prefix@
     22#binpath                @prefix_expanded@/bin:@prefix_expanded@/sbin:/bin:/sbin:/usr/bin:/usr/sbin
    2623
    2724# Directory containing Applications from ports.
  • trunk/base/doc/portfile.7

    r49854 r50573  
    480480.Sy Default:
    481481.Em ${prefix}/Library/Frameworks
    482 .It Ic x11prefix
    483 Absolute path to X11 (eg
    484 .Pa /usr/X11R6 )
    485 .br
    486 .Sy Type:
    487 .Em read-only
    488482.El
    489483.Sh DEPENDENCY OPTIONS
  • trunk/base/src/config.h.in

    r41651 r50573  
    287287#undef UNUSED
    288288
    289 /* Define to 1 if the X Window System is missing or not being used. */
    290 #undef X_DISPLAY_MISSING
    291 
    292289/* Define to `int' if <sys/types.h> does not define. */
    293290#undef pid_t
  • trunk/base/src/macports1.0/macports.tcl

    r50562 r50573  
    4141    namespace export bootstrap_options user_options portinterp_options open_mports ui_priorities
    4242    variable bootstrap_options "\
    43         portdbpath libpath binpath auto_path extra_env sources_conf prefix x11prefix portdbformat \
     43        portdbpath libpath binpath auto_path extra_env sources_conf prefix portdbformat \
    4444        portinstalltype portarchivemode portarchivepath portarchivetype portautoclean \
    4545        porttrace portverbose destroot_umask variants_conf rsync_server rsync_options \
     
    5050    variable user_options "submitter_name submitter_email submitter_key"
    5151    variable portinterp_options "\
    52         portdbpath porturl portpath portbuildpath auto_path prefix prefix_frozen x11prefix portsharepath \
     52        portdbpath porturl portpath portbuildpath auto_path prefix prefix_frozen portsharepath \
    5353        registry.path registry.format registry.installtype portarchivemode portarchivepath \
    5454        portarchivetype portautoclean porttrace portverbose destroot_umask rsync_server \
     
    339339    global macports::macportsuser
    340340    global macports::prefix_frozen
    341     global macports::x11prefix
    342341    global macports::registry.installtype
    343342    global macports::rsync_dir
     
    605604
    606605    if {![info exists binpath]} {
    607         set env(PATH) "${prefix}/bin:${prefix}/sbin:/bin:/sbin:/usr/bin:/usr/sbin:${x11prefix}/bin"
     606        set env(PATH) "${prefix}/bin:${prefix}/sbin:/bin:/sbin:/usr/bin:/usr/sbin"
    608607    } else {
    609608        set env(PATH) "$binpath"
     
    11921191    set prefix [_mportkey $mport prefix]
    11931192    set frameworks_dir [_mportkey $mport frameworks_dir]
    1194     set x11prefix [_mportkey $mport x11prefix]
    11951193   
    11961194    if {[info exists env(DYLD_FRAMEWORK_PATH)]} {
     
    12051203        lappend search_path $env(DYLD_LIBRARY_PATH)
    12061204    }
    1207     lappend search_path /lib /usr/lib ${x11prefix}/lib ${prefix}/lib
     1205    lappend search_path /lib /usr/lib ${prefix}/lib
    12081206    if {[info exists env(DYLD_FALLBACK_LIBRARY_PATH)]} {
    12091207        lappend search_path $env(DYLD_FALLBACK_LIBRARY_PATH)
  • trunk/base/src/port1.0/port_autoconf.tcl.in

    r46954 r50573  
    4848        variable prefix "@prefix_expanded@"
    4949        variable macportsuser "@RUNUSR@"
    50         variable x11prefix "@x11prefix@"
    5150}
  • trunk/base/src/port1.0/portmain.tcl

    r49087 r50573  
    6060default worksymlink {[file join $portpath work]}
    6161default prefix /opt/local
    62 default x11prefix /usr/X11R6
    6362default applications_dir /Applications/MacPorts
    6463default frameworks_dir {${prefix}/Library/Frameworks}
  • trunk/base/tests/test-macports.conf

    r26177 r50573  
    1414# Type of installation to do for ports, "direct" or "image".  See macports.conf(5) and online documentation.
    1515portinstalltype         image
    16 
    17 # Directory containing the X11 installation.
    18 x11prefix               /tmp/macports-tests/usr/X11R6
    1916
    2017# Where to find the sources list.
Note: See TracChangeset for help on using the changeset viewer.